## python-biom-format 1.1.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BIOM.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BIOM.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BIOM"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BIOM"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-biom-format 1.0.0

=== debian/changelog ===
python-biom-format (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #682242)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Aug 2012 10:38:26 +0200

=== debian/control ===
Source: python-biom-format
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6), python-numpy, cython
Standards-Version: 3.9.3
Homepage: http://biom-format.org/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biom-format/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/python-biom-format/trunk/

Package: python-biom-format
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
  python-dateutil, python-cogent
Description: Biological Observation Matrix (BIOM) format
 The BIOM file format (canonically pronounced biome) is designed to be a
 general-use format for representing biological sample by observation
 contingency tables. BIOM is a recognized standard for the Earth
 Microbiome Project and is a Genomics Standards Consortium candidate
 project.
 .
 The BIOM format is designed for general use in broad areas of
 comparative -omics. For example, in marker-gene surveys, the primary use
 of this format is to represent OTU tables: the observations in this case
 are OTUs and the matrix contains counts corresponding to the number of
 times each OTU is observed in each sample. With respect to metagenome
 data, this format would be used to represent metagenome tables: the
 observations in this case might correspond to SEED subsystems, and the
 matrix would contain counts corresponding to the number of times each
 subsystem is observed in each metagenome. Similarly, with respect to
 genome data, this format may be used to represent a set of genomes: the
 observations in this case again might correspond to SEED subsystems, and
 the counts would correspond to the number of times each subsystem is
 observed in each genome.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

pkg     := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version := $(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
bindir  := $(CURDIR)/debian/$(pkg)/usr/bin
mandir  := $(CURDIR)/debian/$(pkg)/usr/share/man/man1

#UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
#CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
#MIN_CYTHONVER := 0.17~beta1-2
#NO_CYTHON := $(shell if dpkg --compare-versions $(CYTHONVER) lt $(MIN_CYTHONVER) ; then echo 0 ; else echo 1 ; fi)

%:
	dh $@ --with python2 # ,sphinxdoc

cythonize:
	python setup.py build_ext
	cp -a python-code/support-code/_sparsemat.cpp debian/cythonized-files
	echo "$(UVER)" >| debian/cythonized-files/VERSION

manpages:
	debian/create-manpages

override_dh_auto_clean:
	dh_auto_clean
	rm -rf python-code/support-code/_sparsemat.cpp

override_dh_install:
	dh_install
	# remove language extension
	rename 's/\.py$$//;' $(bindir)/*

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
version=3
http://biom-format.org/ https://github.com/downloads/biom-format/biom-format/biom-format-([\d.]+)\.tgz \
   debian debian/get-orig-source

## python-biom-format 1.1.2

=== debian/changelog ===
python-biom-format (1.1.2-1) unstable; urgency=low

  * debian/watch:
     - Enable '+dfsg' suffix in Debian versions
     - Fix download location
     - anonscm in Vcs fields
  * debian/control:
     - cme fix dpkg-control
  * Remove workaround cython problem which was needed when 1.0.0 was
    released because cython at this time was suffering from #682652
  * debian/rules:
     - use help2man to create manpages

 -- Andreas Tille <tille@debian.org>  Thu, 15 Aug 2013 01:17:43 +0200

python-biom-format (1.0.0-1ubuntu1) precise; urgency=low

  * Rebuild for Precise 
  * Minor changes to cleanup and get-orig-source that helped me

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 10 Aug 2012 18:08:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,28 @@
 Source: python-biom-format
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.6), python-numpy, cython
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               python-all-dev,
+               python-numpy,
+               cython (>= 0.17),
+               help2man,
+               python-dateutil,
+               python-cogent
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-biom-format/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-biom-format/trunk/
 Homepage: http://biom-format.org/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/python-biom-format/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/python-biom-format/trunk/
+X-Python-Version: >= 2.6
 
 Package: python-biom-format
 Architecture: any
-Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
-  python-dateutil, python-cogent
+Depends: ${shlibs:Depends},
+         ${python:Depends},
+         ${misc:Depends},
+         python-dateutil,
+         python-cogent
 Description: Biological Observation Matrix (BIOM) format
  The BIOM file format (canonically pronounced biome) is designed to be a
  general-use format for representing biological sample by observation
@@ -34,3 +43,4 @@
  observations in this case again might correspond to SEED subsystems, and
  the counts would correspond to the number of times each subsystem is
  observed in each genome.
+

=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,12 @@
 %:
 	dh $@ --with python2 # ,sphinxdoc
 
-cythonize:
-	python setup.py build_ext
-	cp -a python-code/support-code/_sparsemat.cpp debian/cythonized-files
-	echo "$(UVER)" >| debian/cythonized-files/VERSION
-
 manpages:
 	debian/create-manpages
 
 override_dh_auto_clean:
 	dh_auto_clean
+	find -name "._*" -exec rm -f '{}' ';'  #Needed if you try to build from pristine tarball
 	rm -rf python-code/support-code/_sparsemat.cpp
 
 override_dh_install:
@@ -32,5 +28,24 @@
 	# remove language extension
 	rename 's/\.py$$//;' $(bindir)/*
 
+override_dh_installman:
+	# try to create man pages whereever possible
+	mkdir -p $(mandir)
+	export PYTHONPATH=$(CURDIR)/python-code ; \
+	    help2man --no-info --version-string="$(version)" \
+		 --name="Script to add sample and/or observation metadata to BIOM-formatted files." \
+		$(bindir)/add_metadata > $(mandir)/add_metadata.1 ; \
+	    help2man --no-info --version-string="$(version)" \
+		--name='Test a biom file for adherence to the format specification' \
+		$(bindir)/biom_validator > $(mandir)/biom_validator.1 ; \
+	    help2man --no-info --name='Script to convert biom formatted files' \
+		$(bindir)/convert_biom > $(mandir)/convert_biom.1 ; \
+	    help2man --no-info --version-string="$(version)" \
+		--name='summarize sample or observation data in BIOM-formatted files' \
+		$(bindir)/print_biom_table_summary > $(mandir)/print_biom_table_summary.1 ; \
+	    help2man --no-info --version-string="$(version)" \
+		--name='subset a BIOM file, over either the observations or samples' \
+		$(bindir)/subset_biom > $(mandir)/subset_biom.1
+
 get-orig-source:
 	. debian/get-orig-source

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*// \
   http://biom-format.org/ ftp://thebeast.colorado.edu/pub/biom-format-releases/biom-format-([\d.]+)\.tar\.gz

## python-biom-format 2.0.0+dfsg

=== debian/changelog ===
python-biom-format (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version (adpated Build-Depends and patches)
  * switch to dh-python using buildsystem=pybuild
  * New (versioned) Build-Depends
  * Add ${shlibs:Depends} since package is now arch any

 -- Andreas Tille <tille@debian.org>  Tue, 20 May 2014 19:16:23 +0200

python-biom-format (1.3.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version (updated patches).  New version also does not
    use Cython
    Closes: #742691
  * Package is now Architecture: all
  * Incorporate changes by BioLinux
  * debian/patches/no-web-adds.patch: Save user privacy by preventing inclusion
    of web adds
  * Do not install scripts printing "This script no longer exists. ..."
    any more
  * Use manpage created by sphinx

 -- Andreas Tille <tille@debian.org>  Thu, 27 Mar 2014 11:52:15 +0100

python-biom-format (1.2.0-1biolinux1) precise; urgency=low

  * Add runtime dep on PyQi
  * Patch /usr/bin/biom script to force /usr/lib/python2.7/dist-packages
    to the top of the PYTHONPATH
  * Allow building with cython 0.15.1 on Ubuntu as it builds and passes all
    the tests
  * Drop deal_with_none_array_metadata for now as it fails the self tests
    But it's still not right!
  * Rename add_metadata to something less generic.  It will die in the next
    release anyway.

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 28 Feb 2014 16:25:41 +0000

python-biom-format (1.2.0-1) unstable; urgency=low

  * New upstream version
  * debian/control:
     - (Build-)Depends: pyqi
     - Build-Depends: python-nose to enable auto_test
  * debian/biom.1: Add simple manpage
  * debian/rules:
     - activate test using python-nose
     - deactivate get-orig-source script and use plain uscan since
       upstream tarball is clean now

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2013 09:24:46 +0100

python-biom-format (1.2.0-0biolinux2) precise; urgency=low

  * New upstream.
  * No need for the old cythonize tinkering in rules
  * Add examples to /usr/share/doc
  * Also add HTML API docs (single html build)
  * Build manpages from Sphinx
  * Add bash completion
  * Investigate and patch issue converting BIOM to table with
    taxonomy not set to an array

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 25 Sep 2013 18:31:40 +0100

python-biom-format (1.1.2-0ubuntu1) precise; urgency=low

  * New upstream.  Repack no longer needed.

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 30 Apr 2013 18:09:17 +0100

python-biom-format (1.0.0+repack-1ubuntu1) precise; urgency=low

  * Rebuild for Precise 
  * Minor changes to cleanup and get-orig-source that helped me

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 10 Aug 2012 18:08:06 +0100

## python-biom-format 2.1+dfsg

=== debian/changelog ===
python-biom-format (2.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Aug 2014 14:43:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,22 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               python-all-dev,
+               dh-python,
+               dh-linktree,
+               cython,
+               python-dev,
                python-numpy,
-               cython (>= 0.17),
+               python-scipy,
+               python-h5py,
                help2man,
-               python-dateutil,
-               python-cogent
-Standards-Version: 3.9.4
+               python-cogent,
+               pyqi (>= 0.3.2),
+               python-nose,
+               python-tox,
+               python-sphinx,
+               python-setuptools,
+               bash-completion
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-biom-format/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-biom-format/trunk/
 Homepage: http://biom-format.org/
@@ -18,11 +27,14 @@
 
 Package: python-biom-format
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${python:Depends},
+Depends: ${python:Depends},
          ${misc:Depends},
-         python-dateutil,
-         python-cogent
+         ${shlibs:Depends},
+         python-cogent,
+         python-numpy,
+         python-scipy,
+         python-h5py,
+         pyqi (>= 0.3.2)
 Description: Biological Observation Matrix (BIOM) format
  The BIOM file format (canonically pronounced biome) is designed to be a
  general-use format for representing biological sample by observation
@@ -43,4 +55,3 @@
  observations in this case again might correspond to SEED subsystems, and
  the counts would correspond to the number of times each subsystem is
  observed in each genome.
-

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

pkg     := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version := $(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
bindir  := $(CURDIR)/debian/$(pkg)/usr/bin
mandir  := $(CURDIR)/debian/$(pkg)/usr/share/man/man1

#UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
#CYTHONVER := $(shell dpkg -l cython | awk '/^ii/{print $$3;}' || echo 0)
#MIN_CYTHONVER := 0.17~beta1-2
#NO_CYTHON := $(shell if dpkg --compare-versions $(CYTHONVER) lt $(MIN_CYTHONVER) ; then echo 0 ; else echo 1 ; fi)

export PYBUILD_TEST_NOSE = 1

pyrun = DEB_BUILD_OPTIONS= pybuild -s custom -p $(shell pyversions -dv) --test --test-args

%:
	dh $@ --with python2 --buildsystem=pybuild --with linktree

override_dh_auto_build:
	USE_CYTHON=true dh_auto_build
	$(pyrun) 'make --directory=doc singlehtml'
	$(pyrun) 'pyqi make-bash-completion \
	    --command-config-module biom.interfaces.optparse.config \
	    --driver-name biom -o debian/bash-completion'

override_dh_installman:
	$(pyrun) 'make --directory=doc man'
	dh_installman

override_dh_auto_clean:
	rm -rf build/tests
	dh_auto_clean
	find -name "._*" -delete  #Remove any Mac metadata files
	make --directory=doc clean
	rm -f debian/bash-completion
	rm -f python-code/support-code/_*.cpp

override_dh_install:
	dh_install
	dh_bash-completion
	# All *.py scripts simply say
	#   "This script no longer exists. ..."
	rm -f $(bindir)/*.py

get-orig-source:
	# . debian/get-orig-source
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --compression xz --destdir=../tarballs

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
 https://pypi.python.org/packages/source/b/biom-format/biom-format-([.\d]+)\.tar\.gz

## python-biom-format 2.1.5%2Bdfsg

=== debian/changelog ===
python-biom-format (2.1.5+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Removed pyqi as well as generation of bash_completion
  * Build-Depends: python-click

  [ Ghislain Antony Vaillant ]
  * Properly run the upstream testsuite during the package build process
  * Add packaging testsuite
  * Provide documentation in separate arch-independent package
  * d/rules: add call to dh_numpy
  * let dh_python fill the binary package dependencies
  * Provide command-line tools in separate package
  * Provide the Python 3 package

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2016 15:38:30 +0100

python-biom-format (2.1.4+dfsg-2) unstable; urgency=medium

  * Fix test target
    Closes: #804441
  * Fix clean target enabling building twice in a row

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2015 22:35:15 +0100

python-biom-format (2.1.4+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #802867
  * Moved from SVN to Git
  * cme fix dpkg-control
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 27 Oct 2015 18:46:33 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=biom-format
export PYBUILD_DESTDIR_python2=debian/python-$(PYBUILD_NAME)
export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
export PYBUILD_AFTER_INSTALL_python2=dh_numpy
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {dir}/tests {build_dir}

%:
	dh $@ --with python2,python3,bash-completion --buildsystem=pybuild

override_dh_auto_build-arch:
	USE_CYTHON=true dh_auto_build

override_dh_auto_build-indep:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b man doc build/man

override_dh_auto_install:
	dh_auto_install
	# Install command-line scripts in separate tools package.
	dh_install --sourcedir=$(PYBUILD_DESTDIR_python3) \
		--package=$(PYBUILD_NAME)-tools usr/bin
	rm -rf $(PYBUILD_DESTDIR_python2)/usr/bin
	rm -rf $(PYBUILD_DESTDIR_python3)/usr/bin

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_sphinxdoc --indep

## python-biom-format 2.1.5+dfsg

=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,17 @@
 export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
 export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {dir}/tests {build_dir}
 
+## When trying better hardening the build fails
+# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
 %:
-	dh $@ --with python2,python3,bash-completion --buildsystem=pybuild
+	dh $@ --with python2,python3,bash-completion,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build-arch:
+override_dh_auto_build:
+	# arch
 	USE_CYTHON=true dh_auto_build
-
-override_dh_auto_build-indep:
+	# indep:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html doc build/html
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b man doc build/man

=== debian/tests/control ===
Tests: python2
Depends: python-all,
         python-biom-format,
         python-nose

Tests: python3
Depends: python3-all,
         python3-biom-format,
         python3-nose

## python-biom-format 2.1.6+dfsg

=== debian/changelog ===
python-biom-format (2.1.6+dfsg-2ubuntu1) cosmic; urgency=medium

  * Disable the autopkgtest-pkg-python test. This tries to import a
    bion_format module (derived from the egg name?), which doesn't exist.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Jul 2018 04:47:42 +0200

python-biom-format (2.1.6+dfsg-2build1) cosmic; urgency=medium

  * No-change rebuild to add Python 3.7 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Jul 2018 00:59:59 +0200

python-biom-format (2.1.6+dfsg-2) unstable; urgency=medium

  * Force LC_ALL=C.UTF-8 in build and autopkgtest
    Closes: #896953, #901073
  * Drop ancient X-Python-Version

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 05:31:25 +0200

python-biom-format (2.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix build with sphinx 1.6
    Closes: #896629
  * cme fiy dpkg-control
     - Standards-Version: 4.1.4
     - Point Vcs-fields to Salsa
     - Crop superfluous Breaks/Replaces
  * debhelper 11
  * Build-Depends:
     - s/python-sphinx/python3-sphinx/
     - Added: python-pandas
  * Adapt doc-base files
  * Move d/t/control to d/t/control.autodep8
  * s/Testsuite: autopkgtest/Testsuite: autopkgtest-pkg-python/

 -- Andreas Tille <tille@debian.org>  Tue, 24 Apr 2018 18:27:20 +0200

python-biom-format (2.1.5+dfsg-7) unstable; urgency=medium

  * d/copyright: Update Upstream-Contact
  * Add another random seed to past tests relieably on all architectures

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2017 09:04:23 +0100

python-biom-format (2.1.5+dfsg-6) unstable; urgency=medium

  * Add random seed to test that fails under some circumstances
    Closes: #848410
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 22:29:00 +0100

python-biom-format (2.1.5+dfsg-5) unstable; urgency=medium

  * Restrict set of architectures also for biom-format-tools to make sure
    the package will not be built on architectures that are affected by
    the h5py issue.

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2016 11:09:10 +0200

python-biom-format (2.1.5+dfsg-4) unstable; urgency=medium

  * Restrict build to those architectures not affected by h5py issue
      https://github.com/h5py/h5py/issues/428
    This does not really close bug #820060 but we can lower its severity
    at least to important.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Sep 2016 09:01:34 +0200

python-biom-format (2.1.5+dfsg-3) unstable; urgency=medium

  * Use sphinxdoc
    Closes: #831239
  * Use python-shinx in Build-Depends (instead only Build-Depends-Indep)
  * cme fix dpkg-control
  * hardening+=bindnow

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jul 2016 14:04:56 +0200

python-biom-format (2.1.5+dfsg-2) unstable; urgency=medium

  * Breaks+Replaces: python-biom-format (<= 2.1+dfsg-1)
    Closes: #820028
  * Enable building arch all packages separately
    Closes: #820621

 -- Andreas Tille <tille@debian.org>  Sun, 10 Apr 2016 21:45:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,39 +3,44 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python,
-               dh-linktree,
                cython,
                python-dev,
                python-numpy,
                python-scipy,
                python-h5py,
                help2man,
+               python-click,
                python-cogent,
-               pyqi (>= 0.3.2),
+               python-future,
                python-nose,
-               python-tox,
-               python-sphinx,
+               python-pandas,
                python-setuptools,
-               bash-completion
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/python-biom-format/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/python-biom-format/trunk/
+               bash-completion,
+               cython3,
+               python3-all-dev,
+               python3-click,
+               python3-future,
+               python3-h5py,
+               python3-nose,
+               python3-numpy,
+               python3-pandas,
+               python3-setuptools,
+               python3-scipy,
+               python3-sphinx
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/python-biom-format
+Vcs-Git: https://salsa.debian.org/med-team/python-biom-format.git
 Homepage: http://biom-format.org/
-X-Python-Version: >= 2.6
 
 Package: python-biom-format
-Architecture: any
+Architecture: any-amd64 any-arm64 armel armhf any-i386 any-mips64el mipsel any-ppc64el
 Depends: ${python:Depends},
          ${misc:Depends},
-         ${shlibs:Depends},
-         python-cogent,
-         python-numpy,
-         python-scipy,
-         python-h5py,
-         pyqi (>= 0.3.2)
-Description: Biological Observation Matrix (BIOM) format
+         ${shlibs:Depends}
+Suggests: python-biom-format-doc
+Description: Biological Observation Matrix (BIOM) format (Python 2)
  The BIOM file format (canonically pronounced biome) is designed to be a
  general-use format for representing biological sample by observation
  contingency tables. BIOM is a recognized standard for the Earth
@@ -55,3 +60,92 @@
  observations in this case again might correspond to SEED subsystems, and
  the counts would correspond to the number of times each subsystem is
  observed in each genome.
+ .
+ This package provides the BIOM format library for the Python 2 interpreter.
+
+Package: python3-biom-format
+Architecture: any-amd64 any-arm64 armel armhf any-i386 any-mips64el mipsel any-ppc64el
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Suggests: python-biom-format-doc
+Description: Biological Observation Matrix (BIOM) format (Python 3)
+ The BIOM file format (canonically pronounced biome) is designed to be a
+ general-use format for representing biological sample by observation
+ contingency tables. BIOM is a recognized standard for the Earth
+ Microbiome Project and is a Genomics Standards Consortium candidate
+ project.
+ .
+ The BIOM format is designed for general use in broad areas of
+ comparative -omics. For example, in marker-gene surveys, the primary use
+ of this format is to represent OTU tables: the observations in this case
+ are OTUs and the matrix contains counts corresponding to the number of
+ times each OTU is observed in each sample. With respect to metagenome
+ data, this format would be used to represent metagenome tables: the
+ observations in this case might correspond to SEED subsystems, and the
+ matrix would contain counts corresponding to the number of times each
+ subsystem is observed in each metagenome. Similarly, with respect to
+ genome data, this format may be used to represent a set of genomes: the
+ observations in this case again might correspond to SEED subsystems, and
+ the counts would correspond to the number of times each subsystem is
+ observed in each genome.
+ .
+ This package provides the BIOM format library for the Python 3 interpreter.
+
+Package: python-biom-format-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: documentation for BIOM format
+ The BIOM file format (canonically pronounced biome) is designed to be a
+ general-use format for representing biological sample by observation
+ contingency tables. BIOM is a recognized standard for the Earth
+ Microbiome Project and is a Genomics Standards Consortium candidate
+ project.
+ .
+ The BIOM format is designed for general use in broad areas of
+ comparative -omics. For example, in marker-gene surveys, the primary use
+ of this format is to represent OTU tables: the observations in this case
+ are OTUs and the matrix contains counts corresponding to the number of
+ times each OTU is observed in each sample. With respect to metagenome
+ data, this format would be used to represent metagenome tables: the
+ observations in this case might correspond to SEED subsystems, and the
+ matrix would contain counts corresponding to the number of times each
+ subsystem is observed in each metagenome. Similarly, with respect to
+ genome data, this format may be used to represent a set of genomes: the
+ observations in this case again might correspond to SEED subsystems, and
+ the counts would correspond to the number of times each subsystem is
+ observed in each genome.
+ .
+ This package provides the documentation for the BIOM format Python package.
+
+Package: biom-format-tools
+Architecture: any-amd64 any-arm64 armel armhf any-i386 any-mips64el mipsel any-ppc64el
+Section: misc
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-biom-format (= ${binary:Version})
+Description: command-line tools for BIOM format
+ The BIOM file format (canonically pronounced biome) is designed to be a
+ general-use format for representing biological sample by observation
+ contingency tables. BIOM is a recognized standard for the Earth
+ Microbiome Project and is a Genomics Standards Consortium candidate
+ project.
+ .
+ The BIOM format is designed for general use in broad areas of
+ comparative -omics. For example, in marker-gene surveys, the primary use
+ of this format is to represent OTU tables: the observations in this case
+ are OTUs and the matrix contains counts corresponding to the number of
+ times each OTU is observed in each sample. With respect to metagenome
+ data, this format would be used to represent metagenome tables: the
+ observations in this case might correspond to SEED subsystems, and the
+ matrix would contain counts corresponding to the number of times each
+ subsystem is observed in each metagenome. Similarly, with respect to
+ genome data, this format may be used to represent a set of genomes: the
+ observations in this case again might correspond to SEED subsystems, and
+ the counts would correspond to the number of times each subsystem is
+ observed in each genome.
+ .
+ This package provides the command-line tools for the BIOM format Python
+ package.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+export LC_ALL=C.UTF-8
 
 export PYBUILD_NAME=biom-format
 export PYBUILD_DESTDIR_python2=debian/python-$(PYBUILD_NAME)

## python-biom-format 2.1.7+dfsg

=== debian/changelog ===
python-biom-format (2.1.7+dfsg-3ubuntu2) eoan; urgency=medium

  * Add python3-h5py to the test deps.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 20:06:38 -0700

python-biom-format (2.1.7+dfsg-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable the autopkgtest-pkg-python test.
  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Aug 2019 17:54:38 -0700

python-biom-format (2.1.7+dfsg-3) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * executable /usr/bin/biom in Python3 package
  * Examples in Python3 package to support testing
  * Do not copy build time tests to doc directory
    Closes: #919586
  * Drop biom-format-tools package - wrapper script is in Python3 package
  * Provide valid autopkgtest for Python3 module based on upstreams CI test
    Closes: #896953

 -- Andreas Tille <tille@debian.org>  Tue, 06 Aug 2019 10:11:48 +0200

python-biom-format (2.1.7+dfsg-2) unstable; urgency=medium

  * Do not ship *.c and *.pyx cython input files in binary packages
  * Fix "Could not import extension sphinx.ext.pngmath"
    Closes: #922258
  * Deactivate autopkgtest for the moment since it fails anyway

 -- Andreas Tille <tille@debian.org>  Wed, 13 Feb 2019 22:13:47 +0100

python-biom-format (2.1.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Provide data files for build-time test
  * Fix permissions
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 23:50:29 +0100

python-biom-format (2.1.6+dfsg-2ubuntu2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 16:35:01 +0000

=== debian/control ===
Source: python-biom-format
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               cython,
               help2man,
               bash-completion,
               cython3,
               python3-all-dev,
               python3-click,
               python3-future,
               python3-h5py,
               python3-nose,
               python3-numpy,
               python3-pandas,
               python3-setuptools,
               python3-scipy,
               python3-sphinx
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/python-biom-format
Vcs-Git: https://salsa.debian.org/med-team/python-biom-format.git
Homepage: http://biom-format.org/

Package: python3-biom-format
Architecture: any-amd64 any-arm64 armel armhf any-i386 any-mips64el mipsel any-ppc64el
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-biom-format-doc
Breaks: biom-format-tools (<< 2.1.7+dfsg-3)
Replaces: biom-format-tools (<< 2.1.7+dfsg-3)
Provides: biom-format-tools
Description: Biological Observation Matrix (BIOM) format (Python 3)
 The BIOM file format (canonically pronounced biome) is designed to be a
 general-use format for representing biological sample by observation
 contingency tables. BIOM is a recognized standard for the Earth
 Microbiome Project and is a Genomics Standards Consortium candidate
 project.
 .
 The BIOM format is designed for general use in broad areas of
 comparative -omics. For example, in marker-gene surveys, the primary use
 of this format is to represent OTU tables: the observations in this case
 are OTUs and the matrix contains counts corresponding to the number of
 times each OTU is observed in each sample. With respect to metagenome
 data, this format would be used to represent metagenome tables: the
 observations in this case might correspond to SEED subsystems, and the
 matrix would contain counts corresponding to the number of times each
 subsystem is observed in each metagenome. Similarly, with respect to
 genome data, this format may be used to represent a set of genomes: the
 observations in this case again might correspond to SEED subsystems, and
 the counts would correspond to the number of times each subsystem is
 observed in each genome.
 .
 This package provides the BIOM format library for the Python 3 interpreter.

Package: python-biom-format-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for BIOM format
 The BIOM file format (canonically pronounced biome) is designed to be a
 general-use format for representing biological sample by observation
 contingency tables. BIOM is a recognized standard for the Earth
 Microbiome Project and is a Genomics Standards Consortium candidate
 project.
 .
 The BIOM format is designed for general use in broad areas of
 comparative -omics. For example, in marker-gene surveys, the primary use
 of this format is to represent OTU tables: the observations in this case
 are OTUs and the matrix contains counts corresponding to the number of
 times each OTU is observed in each sample. With respect to metagenome
 data, this format would be used to represent metagenome tables: the
 observations in this case might correspond to SEED subsystems, and the
 matrix would contain counts corresponding to the number of times each
 subsystem is observed in each metagenome. Similarly, with respect to
 genome data, this format may be used to represent a set of genomes: the
 observations in this case again might correspond to SEED subsystems, and
 the counts would correspond to the number of times each subsystem is
 observed in each genome.
 .
 This package provides the documentation for the BIOM format Python package.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export LC_ALL=C.UTF-8

export PYBUILD_NAME=biom-format
export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
export examplepkg=python-$(PYBUILD_NAME)-examples
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3

## When trying better hardening the build fails
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with python3,bash-completion,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	# arch
	USE_CYTHON=true dh_auto_build
	# indep:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b man doc build/man

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_sphinxdoc --indep

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# replace cp by ln to close bug #919586
	cp -a examples $(shell pybuild --print build_dir --interpreter python)
	cp -a examples $(shell pybuild --print build_dir --interpreter python3)
#	ln -s $(CURDIR)/examples $(shell pybuild --print build_dir --interpreter python)
#	ln -s $(CURDIR)/examples $(shell pybuild --print build_dir --interpreter python3)
	dh_auto_test
endif

override_dh_fixperms:
	dh_fixperms
	find debian -name exercise_cli.sh -exec chmod +x \{\} \;

override_dh_installexamples:
	dh_installexamples
	find debian -name "*.c" -delete
	find debian -name "*.pyx" -delete
	# move tests from Python3 package to examples package
	if [ ! -d biom/tests ] ; then \
	    mv `find debian/python*$(PYBUILD_NAME) -name tests -type d` biom ; \
	else \
	    find debian/python*$(PYBUILD_NAME) -name tests -type d | xargs rm -rf ; \
	fi

## python-biom-format 2.1.8%2Bdfsg

=== debian/changelog ===
python-biom-format (2.1.8+dfsg-1ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:34 +0100

python-biom-format (2.1.8+dfsg-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add python3-h5py to the test deps.
    - Disable the autopkgtest-pkg-python test.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 01 Feb 2020 12:56:05 -0800

python-biom-format (2.1.8+dfsg-1) unstable; urgency=medium

  * Drop cython from Build-Depends
    Closes: #937605
  * New upstream version
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 11:35:04 +0100

python-biom-format (2.1.7+dfsg-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add python3-h5py to the test deps.
    - Disable the autopkgtest-pkg-python test.
  * Dropped changes, included in Debian:
    - Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jan 2020 22:53:28 -0800

python-biom-format (2.1.7+dfsg-5) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Fix Build time test
    Closes: #943622

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2019 07:51:11 +0100

python-biom-format (2.1.7+dfsg-4) unstable; urgency=medium

  [ Steve Langasek ]
  * Drop Python2 package
    Closes: #934864, #937605

  [ Andreas Tille ]
  * Fix doc-base control file
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 08 Nov 2019 08:01:35 +0100

## python-biom-format 2.1.8+dfsg

=== doc/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
@@ -34,7 +34,7 @@
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 
 clean:
-	-rm -rf $(BUILDDIR)/*
+	rm -rf $(BUILDDIR)/* documentation/generated
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               cython,
                help2man,
                bash-completion,
                cython3,
@@ -20,7 +19,7 @@
                python3-setuptools,
                python3-scipy,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-biom-format
 Vcs-Git: https://salsa.debian.org/med-team/python-biom-format.git
 Homepage: http://biom-format.org/
@@ -32,8 +31,8 @@
          ${shlibs:Depends}
 Suggests: python-biom-format-doc
 Breaks: biom-format-tools (<< 2.1.7+dfsg-3)
+Provides: biom-format-tools
 Replaces: biom-format-tools (<< 2.1.7+dfsg-3)
-Provides: biom-format-tools
 Description: Biological Observation Matrix (BIOM) format (Python 3)
  The BIOM file format (canonically pronounced biome) is designed to be a
  general-use format for representing biological sample by observation

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 export PYBUILD_DESTDIR_python3=debian/python3-$(PYBUILD_NAME)
 export examplepkg=python-$(PYBUILD_NAME)-examples
 export PYBUILD_AFTER_INSTALL_python3=dh_numpy3
+export PYBUILD_BEFORE_TEST=cp -r {dir}/examples {build_dir}
 
 ## When trying better hardening the build fails
 # export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -28,16 +29,6 @@
 	dh_installdocs --indep
 	dh_sphinxdoc --indep
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-# replace cp by ln to close bug #919586
-	cp -a examples $(shell pybuild --print build_dir --interpreter python)
-	cp -a examples $(shell pybuild --print build_dir --interpreter python3)
-#	ln -s $(CURDIR)/examples $(shell pybuild --print build_dir --interpreter python)
-#	ln -s $(CURDIR)/examples $(shell pybuild --print build_dir --interpreter python3)
-	dh_auto_test
-endif
-
 override_dh_fixperms:
 	dh_fixperms
 	find debian -name exercise_cli.sh -exec chmod +x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-h5py
Restrictions: allow-stderr
